# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name = "flacsmith"
  spec.version = "10.5.1"
  spec.authors = ["Brooke Kuhlmann"]
  spec.email = ["brooke@alchemists.io"]
  spec.homepage = "https://www.alchemists.io/projects/flacsmith"
  spec.summary = "A command line interface for managing FLAC metadata."
  spec.license = "Hippocratic-2.1"

  spec.post_install_message = <<~MESSAGE
    DEPRECATION: The FLACsmith gem is deprecated and will be fully destroyed on 2023-02-01.
  MESSAGE

  spec.metadata = {
    "bug_tracker_uri" => "https://github.com/bkuhlmann/flacsmith/issues",
    "changelog_uri" => "https://www.alchemists.io/projects/flacsmith/versions",
    "documentation_uri" => "https://www.alchemists.io/projects/flacsmith",
    "funding_uri" => "https://github.com/sponsors/bkuhlmann",
    "label" => "FLACsmith",
    "rubygems_mfa_required" => "true",
    "source_code_uri" => "https://github.com/bkuhlmann/flacsmith"
  }

  spec.signing_key = Gem.default_key_path
  spec.cert_chain = [Gem.default_cert_path]

  spec.required_ruby_version = "~> 3.1"
  spec.add_dependency "cogger", "~> 0.4"
  spec.add_dependency "dry-container", "~> 0.11"
  spec.add_dependency "infusible", "~> 0.2"
  spec.add_dependency "refinements", "~> 9.7"
  spec.add_dependency "runcom", "~> 8.7"
  spec.add_dependency "spek", "~> 0.6"
  spec.add_dependency "zeitwerk", "~> 2.6"

  spec.bindir = "exe"
  spec.executables << "flacsmith"
  spec.extra_rdoc_files = Dir["README*", "LICENSE*"]
  spec.files = Dir["*.gemspec", "lib/**/*"]
end
